import request from "@/utils/request";
//使用说明
//  export const getList = data => request.get('/api/list', data, false)
//              页面调用名  请求参数       请求类型  接口地址         loading是否显示
/*页面中调用方法：（若无请求参数则留空,例：this.$api.getList()）
this.$api.getList(params).then(res => {
	
})
*/

/**
 * 巡检保洁接口
 */

// 根据日期获取计划
export const GetPlanByDate = (data) =>
  request.get("/api/App/GetPlanByDate", data);

// 根据日期获取计划
export const GetTodayPlanList = (data) =>
  request.get("/api/App/GetTodayPlanList", data);

// 今日完成情况
export const TodayCompletion = (data) =>
  request.post("/api/App/TodayCompletion", data);

// 获取计划区域列表
export const GetPlanInfoAreaList = (data) =>
  request.post("/api/App/GetPlanInfoAreaList", data);

// 获取已完成计划区域详情
export const GetPlanInfoAre = (data) =>
  request.post("/api/App/GetPlanInfoAre", data);

// 获取计划列表
export const GetPlanList = (data) => request.get("/api/App/GetPlanList", data);

// 获取单位信息
export const GetCompanyInformation = (data) =>
  request.get("/api/App/GetCompanyInformation", data);

// 上报nfc异常
export const ReportingNFCDanger = (data) =>
  request.post("/api/App/ReportingNFCDanger", data);

// 上传图片
export const UploadFiles = (fileList, params) =>
  request.upload("/api/App/UploadFiles", fileList, params);

  // 获取待上传区域
  export const GetAwaitUploadAreaApi = (data) =>
  request.get("/api/App/GetAwaitUploadArea", data);
// 修改上传接口定义
export const UploadArea = (data) => request.post("/api/App/UploadArea", data);

// 登录
export const loginApi = (data) =>
  request.post("/api/Login/Login", data);